
Infrastructure - Bug #2449

knb unicode identifier create and get failures

2012-03-07 19:00 - Rob Nahf

Status: Closed Start date: 2012-03-07

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

MN tier 3 tests find errors in either create or get object:

Node Test Summary for node: https://demo3.test.dataone.org/knb/d1/mn/v1

Test 0: OK   :       : common-unicode-ascii-safe-ABCDEFGHIJKLMNOPQRSTUVWXYZ

Test 1: OK   :       : common-unicode-ascii-safe-abcdefghijklmnopqrstuvwxyz

Test 2: OK   :       : common-unicode-ascii-safe-0123456789

Test 3: OK   :       : common-unicode-ascii-safe-:@$-.!*()',~

Test 4: OK   :       : common-unicode-ascii-safe-unreserved-.~

Test 5: OK   :       : common-unicode-ascii-safe-sub-delims-$!*()',

Test 6: OK   :       : common-unicode-ascii-safe-gen-delims-:@

Test 7: OK   :       : common-unicode-ascii-escaped-"#<>[]

`{}|

Test 8: Error: get   : common-unicode-ascii-escaped-tomcatBlocked-\

Test 9: OK   :       : common-unicode-ascii-escaped-tomcatBlocked-%5C

Test 10: OK   :       : common-unicode-ascii-semi-colon-test-%3B

Test 11: OK   :       : common-unicode-ascii-escaped-%

Test 12: OK   :       : common-unicode-ascii-escaped-space x x

Test 13: Error: get   : common-unicode-ascii-escape-anyway-+

Test 14: Error: get   : common-unicode-ascii-escape-space-v-plus-+ +%20 %20+

Test 15: OK   :       : path-unicode-ascii-safe-&=&=

Test 16: OK   :       : path-unicode-ascii-escaped-;

Test 17: OK   :       : path-unicode-ascii-escaped-?

Test 18: Error: get   : path-unicode-ascii-escaped-/

Test 19: OK   :       : path-unicode-ascii-escaped-%3F

Test 20: OK   :       : path-unicode-ascii-escaped-%2F

Test 21: Error: get   : path-unicode-ascii-escaped-double-//case

Test 22: Error: get   : path-unicode-ascii-escaped-double-trailing//

Test 23: OK   :       : path-unicode-ascii-escaped-double-%2F%2Fcase

Test 24: OK   :       : path-unicode-ascii-escaped-double-trailing%2F%2F

Test 25: OK   :       : common-unicode-bmp-1byte-escaped-¡¢£

Test 26: OK   :       : common-unicode-bmp-2byte-escaped-??

Test 27: Error: create: common-unicode-supplementary-escaped-????

Test 28: OK   :       : common-ascii-doc-example-urn:lsid:ubio.org:namebank:11815

Test 29: Error: get   : path-ascii-doc-example-10.1000/182

Test 30: Error: get   : path-ascii-doc-example-http://example.com/data/mydata?row=24

Test 31: Error: get   : path-ascii-doc-example-ldap://ldap1.example.net:6666/o=University%20of%20Michigan,

c=US??sub?(cn=Babs%20Jensen)

Test 32: OK   :       : common-bmp-doc-example-??????????????

Test 33: OK   :       : common-bmp-doc-example-Is féidir liom ithe gloine

The ones failing get are available via listObjects:

https://demo3.test.dataone.org/knb/d1/mn/v1/object?fromDate=2012-03-07T18:00:00&toDate=2012-03-07T19:00:00

see sub tasks for details on each case 

Subtasks:

Task # 2451: trailing backslash in url rejected by knb web server Closed

Task # 2453: '+' in urls being converted to space (or possibly stripped) by service Closed

Task # 2454: escaped '/' characters are being decoded by web server prior to hitting th... Closed
Task # 2455: identifiers with supplementary unicode characters not mn.create() Rejected

Task # 2463: identifiers with "?" not being preserved Rejected

History

#1 - 2012-03-09 17:37 - Ben Leinfelder

Rerunning the MN test:

mvn verify -Dcontext.mn.baseurl=https://demo2.test.dataone.org/knb/d1/mn -Dit.test=MNodeTier3IT

Is now successful for all but one of the encoding tests:

Node Test Summary for node: https://demo2.test.dataone.org/knb/d1/mn/v1

Test 0: OK   :       : common-unicode-ascii-safe-ABCDEFGHIJKLMNOPQRSTUVWXYZ

Test 1: OK   :       : common-unicode-ascii-safe-abcdefghijklmnopqrstuvwxyz

Test 2: OK   :       : common-unicode-ascii-safe-0123456789

Test 3: OK   :       : common-unicode-ascii-safe-:@$-.!*()',~

Test 4: OK   :       : common-unicode-ascii-safe-unreserved-.~

Test 5: OK   :       : common-unicode-ascii-safe-sub-delims-$!*()',

Test 6: OK   :       : common-unicode-ascii-safe-gen-delims-:@

Test 7: OK   :       : common-unicode-ascii-escaped-"#<>[]

`{}|

Test 8: OK   :       : common-unicode-ascii-escaped-tomcatBlocked-\

Test 9: OK   :       : common-unicode-ascii-escaped-tomcatBlocked-%5C

Test 10: OK   :       : common-unicode-ascii-semi-colon-test-%3B

Test 11: OK   :       : common-unicode-ascii-escaped-%

Test 12: OK   :       : common-unicode-ascii-escaped-space x x

Test 13: OK   :       : common-unicode-ascii-escape-anyway-+

Test 14: OK   :       : common-unicode-ascii-escape-space-v-plus-+ +%20 %20+

Test 15: OK   :       : path-unicode-ascii-safe-&=&=

Test 16: OK   :       : path-unicode-ascii-escaped-;

Test 17: OK   :       : path-unicode-ascii-escaped-?

Test 18: OK   :       : path-unicode-ascii-escaped-/

Test 19: OK   :       : path-unicode-ascii-escaped-%3F

Test 20: OK   :       : path-unicode-ascii-escaped-%2F

Test 21: OK   :       : path-unicode-ascii-escaped-double-//case

Test 22: OK   :       : path-unicode-ascii-escaped-double-trailing//

Test 23: OK   :       : path-unicode-ascii-escaped-double-%2F%2Fcase

Test 24: OK   :       : path-unicode-ascii-escaped-double-trailing%2F%2F

Test 25: OK   :       : common-unicode-bmp-1byte-escaped-???

Test 26: OK   :       : common-unicode-bmp-2byte-escaped-??

Test 27: Error: create: common-unicode-supplementary-escaped-????

Test 28: OK   :       : common-ascii-doc-example-urn:lsid:ubio.org:namebank:11815

Test 29: OK   :       : path-ascii-doc-example-10.1000/182

Test 30: OK   :       : path-ascii-doc-example-http://example.com/data/mydata?row=24

Test 31: OK   :       : path-ascii-doc-example-ldap://ldap1.example.net:6666/o=University%20of%20Michigan, c=US??sub?(cn=Babs%20Jensen)

Test 32: OK   :       : common-bmp-doc-example-??????????????

Test 33: OK   :       : common-bmp-doc-example-Is f?idir liom ithe gloine
#2 - 2012-03-09 19:35 - Ben Leinfelder

- Status changed from New to Closed

Verified tests on Demo2-4.

Sub-tasks are all closed, too.
